org.apache.ignite.internal.managers.discovery

## Interface IgniteDiscoverySpiInternalListener

    public interface IgniteDiscoverySpiInternalListener

For TESTING only.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `beforeJoin(ClusterNode locNode, IgniteLogger log)`
`default void` `beforeReconnect(ClusterNode locNode, IgniteLogger log)`
`boolean` `beforeSendCustomEvent(DiscoverySpi spi, IgniteLogger log, DiscoverySpiCustomMessage msg)`

### Method Detail

#### beforeJoin

    void beforeJoin(ClusterNode locNode,
                    IgniteLogger log)

Parameters:
  `locNode` - Local node.
  `log` - Log.

#### beforeReconnect

    default void beforeReconnect(ClusterNode locNode,
                                 IgniteLogger log)

Parameters:
  `locNode` - Local node.
  `log` - Logger.

#### beforeSendCustomEvent

    boolean beforeSendCustomEvent(DiscoverySpi spi,
                                  IgniteLogger log,
                                  DiscoverySpiCustomMessage msg)

Parameters:
  `spi` - SPI instance.
  `log` - Logger.
  `msg` - Custom message.
Returns:
  `False` to cancel event send.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021